﻿using System.Diagnostics;
using System.Diagnostics.Contracts;

namespace PCG.Mercurial
{
    class AddFileCommandResult : HgCommandResultBase
    {
        #region Constructors
        // ####################################################################
        // ###### Constructors                                           ######
        // ####################################################################
        public AddFileCommandResult(Process process)
            : base(process)
        {
            Contract.Requires(process != null);
        }

        #endregion

        #region Properties
        // ####################################################################
        // ###### Properties                                             ######
        // ####################################################################
        public override HgResult ExitCode
        {
            get { return (HgResult)(200 - HgProcess.ExitCode); }
        }

        #endregion
    }
}