﻿namespace PCG.Mercurial
{
    /// <summary>
    /// Indicates the result of executing an mercurial command-line action.
    /// </summary>
    public enum HgResult
    {
        UnspecifiedError = -1,
        Success = 0,
        InitError = 99,
        InitSuccess = 100,
        AddFileError = 199,
        AddFileSuccess = 200,
        CommitFileError = 299,
        CommitFileSuccess = 300,
        CommitNoChangesFound = 301,
        CloneSuccess = 400
    }
}