﻿using System.Diagnostics;
using System.Diagnostics.Contracts;

namespace PCG.Mercurial
{
    public class InitCommandResult : HgCommandResultBase
    {
        #region Constructors
        // ####################################################################
        // ###### Constructors                                           ######
        // ####################################################################
        public InitCommandResult(Process process) : base(process)
        {
            Contract.Requires(process != null);
        }

        #endregion

        #region Properties
        // ####################################################################
        // ###### Properties                                             ######
        // ####################################################################
        public override HgResult ExitCode
        {
            get { return (HgResult)(100 + HgProcess.ExitCode); }
        }

        #endregion
    }
}