﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;
using System.Diagnostics.Contracts;

namespace PCG.Mercurial
{
    public class IncomingCommandResult : HgCommandResultBase 
    {
        public IncomingCommandResult(Process process)
            : base(process)
        {
            Contract.Requires(process != null);
        }

        public override HgResult ExitCode
        {
            get { return (HgResult)(300 + HgProcess.ExitCode); }
        }

        public bool HasChanges
        {
            get
            {
                return !ResultData.Contains("no changes found");
            }
        }


    }
}
