﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;
using System.Diagnostics.Contracts;

namespace PCG.Mercurial
{
    public class PullCommandResult : HgCommandResultBase 
    {
        public PullCommandResult(Process process)
            : base(process)
        {
            Contract.Requires(process != null);
        }

        public override HgResult ExitCode
        {
            get { return (HgResult)(300 + HgProcess.ExitCode); }
        }

    }
}
